MONGOC_CLIENT_POOL_SET_APPNAME(3)

NAME
mongoc_client_pool_set_appname - mongoc_client_pool_set_appname()

SYNOPSIS

bool
mongoc_client_pool_set_appname (mongoc_client_pool_t *pool, const char *appname)

This function is identical to mongoc_client_set_appname() except for client pools.

Also note that mongoc_client_set_appname() cannot be called on a client retrieved from a client pool.

PARAMETERS

•   pool: A mongoc_client_pool_t.

•   appname: The application name, of length at most MONGOC_HANDSHAKE_APPNAME_MAX.

RETURNS

Returns true if appname was set. If appname is too long, returns false and logs an error.

THREAD SAFETY

This function can only be called once on a pool, and must be called before the first call to mongoc_client_pool_pop.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc